{"openapi":"3.0.0","info":{"title":"Electronics Components API","version":"1.0.0","description":"Multi-vendor electronics components API (starting with TI)"},"servers":[{"url":"https://www.algae.cx","description":"Production server"}],"paths":{"/api/":{"get":{"summary":"API Information","description":"Get API status and available endpoints","responses":{"200":{"description":"API information","content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"version":{"type":"string"},"status":{"type":"string"},"available_vendors":{"type":"array","items":{"type":"string"}},"endpoints":{"type":"object"}}}}}}}}},"/api/health":{"get":{"summary":"Health Check","description":"Check API health status","responses":{"200":{"description":"Health status","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"timestamp":{"type":"string"},"message":{"type":"string"}}}}}}}}},"/api/ti/products/list":{"get":{"summary":"Get TI Products List","description":"Fetch paginated list of Texas Instruments products","parameters":[{"name":"page","in":"query","description":"Page number (0-based)","schema":{"type":"integer","default":0}},{"name":"size","in":"query","description":"Number of products per page","schema":{"type":"integer","default":100}},{"name":"currency","in":"query","description":"Currency for pricing","schema":{"type":"string","default":"USD"}}],"responses":{"200":{"description":"List of TI products","content":{"application/json":{"schema":{"type":"object","properties":{"Content":{"type":"array","items":{"type":"object","properties":{"Identifier":{"type":"string"},"Description":{"type":"string"},"GenericProductIdentifier":{"type":"string"},"Url":{"type":"string"},"DatasheetUrl":{"type":"string"},"LifeCycleStatus":{"type":"string"},"Price":{"type":"object","properties":{"Value":{"type":"number"},"Quantity":{"type":"integer"}}}}}},"TotalElements":{"type":"integer"},"TotalPages":{"type":"integer"},"Size":{"type":"integer"},"Number":{"type":"integer"}}}}}},"500":{"description":"API error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}},"/api/ti/health":{"get":{"summary":"TI API Health Check","description":"Check TI API configuration and status","responses":{"200":{"description":"TI API health status","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"timestamp":{"type":"string"},"ti_api":{"type":"object","properties":{"configured":{"type":"boolean"},"api_base":{"type":"string"},"daily_quota":{"type":"integer"},"rate_limit_rps":{"type":"integer"}}}}}}}}}}}}}